/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.impl;

import org.xmloperator.reactive.element.Element;
import org.xmloperator.reactive.element.RWElement;

/**
 * RWElement implementation.
 */
class RWElementImpl implements RWElement {
	
	final ElementImpl element;

	RWElementImpl(ElementImpl element) {
		this.element = element;
	}

	///////////////////////////
	// RWElement implementation
	///////////////////////////

	public Element getElement() {
		return this.element;
	}

	public void insertBefore(Element element) {
		this.element.insertBefore((ElementImpl)element);
	}

	public void remove() {
		this.element.remove();
	}
}
