/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReactiveException is thrown when a ReactiveMachine try to launch
 *   an Agent that is already running.
 */
public final class AgentAlreadyLaunchedException extends ReactiveException {

	private static final long serialVersionUID = -6060911656705480462L;

	public AgentAlreadyLaunchedException() {
	}
}
