/**
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * Exception thrown by a ReactiveEntity.
 */
public class ReactiveException extends RuntimeException {
  
	private static final long serialVersionUID = -5780007052544728253L;

	public ReactiveException() {
	}

	public ReactiveException(String message) {
		super(message);
	}

	public ReactiveException(ReactiveException cause) {
		super(cause);
	}
}
