/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.exception;

/**
 * This ReactiveException is thrown when one try to attach
 *   a Thread to a ReactiveEntity that has already one Thread attached.
 */
public class ThreadAlreadyAttachedException extends ReactiveException {

	private static final long serialVersionUID = 175630328617545424L;

	public ThreadAlreadyAttachedException() {
	}
}