/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.demo;

import java.io.PrintStream;

import org.xmloperator.reactive.CrashingReport;

/**
 * Report implementation.
 */
public final class CrashingReportImpl implements CrashingReport {
	private final PrintStream trace;
	private boolean isAllOk = true;

	CrashingReportImpl(PrintStream trace) {
		this.trace = trace;
	}
	/////////////////////////////////////
	// AgentCrashingReport implementation
	/////////////////////////////////////
	
	public void notifyCrash(String entityId, Exception exception) {
		this.isAllOk = false;
		exception.printStackTrace(this.trace);
	}
	
	public boolean isAllOk() {
		return this.isAllOk;
	}
}
