/*
 * Copyright (c) 2008 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.action;

import org.xmloperator.reactive.Action;

import org.xmloperator.reactive.element.ElementBoard;

/**
 * Action that impacts an Element of the ElementBoard.
 */
public interface ElementAction extends Action {
	
	/**
	 * Returns the associated ElementBoard.
	 * @return the associated ElementBoard.
	 */
	public ElementBoard getElementBoard();
}
