/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.element.exception;

import org.xmloperator.reactive.exception.ReactiveException;

/**
 * This ReactiveException is thrown when creating a new ElementSpecification
 *   from an Element fails because the Element is not recognized.
 */
public final class UndefinedElementSpecificationException
		extends ReactiveException {

	private static final long serialVersionUID = -5464059401450741612L;

	public UndefinedElementSpecificationException() {
	}
}
