/*
 * Copyright (c) 2008, 2011 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/reactive/).
 */
package org.xmloperator.reactive.impl;

/**
 * SimpleCertifiedMessage implementation.
 */
import org.xmloperator.reactive.SimpleMessage;

public class SimpleMessageImpl<T> extends MessageImpl implements
		SimpleMessage<T> {
	protected final T object;
	
	public SimpleMessageImpl(T object) {
		this.object = object;
	}

	////////////////////////////////////////
	// SimpleCertifiedMessage implementation
	////////////////////////////////////////

	public final T getObject() {
		return this.object;
	}

	////////////////////////
	// Object implementation
	////////////////////////
	
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(super.toString());
		sb.append('(');
		sb.append(this.object);
		sb.append(')');
		return sb.toString();
	}
}
